#!/bin/bash
# 19042021
# Michael Kohls
# Alle laufenden (vergessenen) Klassenarbeiten sofort beenden
# zunächst alle hängengebliebenen User löschen 
# erster Teil stammt von Tobias Heine (linuxmuster-Forum Dez2020)
cd /srv/samba/schools/default-school/examusers/
for dir in $(ls); do
    student=$(echo $dir | cut -d\- -f1)
    active_exam=$(sophomorix-user -iu $student |grep -i exammode)
    active_exam=$(echo $active_exam | cut -d" " -f2)
    if [ $active_exam == "---" ]; then
        printf "%-10s%-15s%-8s%s\n" $student $active_exam Loesche $dir
        rm -rf $dir
    else
        printf "%-10s%-15s%-8s%s\n" $student $active_exam Behalte $dir
    fi
done
# jetzt alle nicht beendeten Klassenarbeiten beenden
Zeit=`date -Id`
Pfad=transfer/collected/autoend
Zeitpfad=$Pfad$Zeit
cd /srv/samba/schools/default-school/examusers/
for i in "$(ls)"; do
        echo "Beende den Klassenarbeitsmodus für:" $i
        sophomorix-exam-mode --unset --subdir $Zeitpfad --participants $i
done

